Home
last modified time | relevance | path

Searched refs:die (Results 1 – 8 of 8) sorted by relevance

/coreutils/scripts/build-older-versions/
Dbuild-older-versions.sh27 die() function
53 5.[12]*|5.9*) die "version '$1' does not have a patch (yet) " \
55 7.1) die "version '$1' does not have a patch (yet)" \
57 5*|6*|7*|8*) die "non-existing version" ;;
58 *) die "unknown version" ;;
68 *) die "unknown version" ;;
76 || die "missing coreutils version to build (e.g. '6.12')"
81 || die "cannot build version '$1'"
86 || die "internal error: patch file '$patch_file' does not exist"
94 || die "creating version build dir 'build' failed"
[all …]
/coreutils/tests/df/
Dtotal-verify.sh37 or die "$0: invalid input line\n: $_";
40 $total == $2 or die "$total != $2";
41 $used == $3 or die "$used != $3";
42 $avail == $4 or die "$avail != $4";
45 and die "$0: extra line(s) after totals\n";
52 die "$0: missing line of totals\n";
/coreutils/scripts/
Dautotools-install26 die () { echo "$prog_name: $*" >&2; exit 1; } function
76 die 'no wget program found; please install it and try again';;
120 *) die "$option: unknown option";;
125 || die "you must specify a --prefix"
129 *) die 'invalid prefix: '"$prefix"': it must be an absolute name';;
134 my_uid=`id -u` && test -n "$my_uid" || die "'id -u' failed"
135 test $my_uid -ne 0 || die "please don't run this program as root"
140 die "don't set PREFIX to a system directory";;
/coreutils/tests/pwd/
Dpwd-long.sh48 and die "$ME: $dir does not contain old CWD\n";
52 or die "$ME: $dir_prefix: stat failed: $!\n";
88 or die "$ME: envvar abs_top_builddir not defined\n";
98 or die "$ME: $pwd_binary is not an executable file\n";
/coreutils/
Dbootstrap109 die() { warn_ "$@"; exit 1; } function
176 || die 'cannot find package name in configure.ac'
434 die "See README-prereq for how to get the prerequisite programs"
436 die "Please install the prerequisite programs"
472 die "alternatively set $find_tool_envvar to a compatible tool"
500 || die "Error: --gnulib-srcdir or \$GNULIB_SRCDIR is specified," \
579 || die "Error: $gnulib_path is supposed to contain a gnulib checkout," \
757 bootstrap_option_hook $option || die "$option: unknown option";;
762 || die "Error: --no-git requires \$GNULIB_SRCDIR environment variable" \
765 || die "Error: \$GNULIB_SRCDIR environment variable" \
[all …]
/coreutils/tests/
Dfilefrag-extent-compare19 or die "$ME: expected exactly two input lines; got $n_lines\n";
24 and die "$ME: unexpected input: odd number of numbers; expected even\n";
54 or die "$ME: extent counts differ, even after adjustment\n";
67 die "$ME: differing extent:\n"
/coreutils/scripts/git-hooks/
Dcommit-msg39 or die "$ME: $log_file: failed to open for writing: $!";
43 or die "$ME: $log_file: failed to rewrite: $!\n";
54 and die "$ME: $log_file: the editor ($editor) failed, aborting\n";
144 or die;
155 -t STDOUT or die $err;
/coreutils/po/
DPOTFILES.in16 lib/openat-die.c
29 lib/xalloc-die.c